<div class="animated fadeIn">
  <div class="row">
    <div class="col-lg-12">
      <div class="card">
        <table class="table table-bordered">
          <thead>
            <tr>
              <th class="text-center">Domain</th>
              <th class="text-center">IP Port</th>
              <th class="text-center">Cache</th>
              <th class="text-center">Listened Port</th>
              <th class="text-center">SSL</th>
              <th class="text-center">Action</th>
            </tr>
          </thead>
          <tbody>
            <tr [formGroup]="websiteForm">
              <td>
                <input
                  class="form-control"
                  [placeholder]="'website' | translate"
                  type="text"
                  formControlName="website_domain"
                />
              </td>
              <td>
                <div>
                  <form [formGroup]="websiteForm">
                    <div formArrayName="upstream">
                      <table class="table table-borderless">
                        <thead>
                          <tr>
                            <th class="text-center">IP</th>
                            <th class="text-center">Port</th>
                            <th class="text-center">Type</th>
                          </tr>
                        </thead>
                        <tbody>
                          <tr
                            *ngFor="
                              let u of getUpstream.controls;
                              let i = index
                            "
                            [formGroupName]="i"
                          >
                            <td>
                              <input
                                class="form-control"
                                type="text"
                                formControlName="ip"
                                required
                              />
                            </td>
                            <td>
                              <input
                                class="form-control"
                                type="text"
                                formControlName="port"
                                required
                              />
                            </td>
                            <td>
                              <input
                                class="form-control"
                                type="text"
                                formControlName="type"
                                required
                              />
                            </td>
                            <td>
                              <button
                                class="btn btn-danger btn-sm"
                                (click)="removeUpstream(i)"
                              >
                                <i class="fa fa-minus"></i>
                              </button>
                            </td>
                          </tr>
                        </tbody>
                      </table>
                    </div>
                  </form>
                  <div class="justify-content-center" style="display: grid">
                    <button (click)="addPort()" class="btn btn-primary btn-sm">
                      <i class="fa fa-plus"></i>
                    </button>
                  </div>
                </div>
              </td>
              <td class="text-center">
                <label class="switch switch-pill switch-success">
                  <input
                    type="checkbox"
                    class="switch-input"
                    checked
                    formControlName="cache"
                  />
                  <span class="switch-slider"></span>
                </label>
              </td>
              <td>
                <div>
                  <form [formGroup]="websiteForm">
                    <div formGroupName="listened">
                      <div class="row justify-content-center">
                        <div class="col-4">Main Port</div>
                        <div class="col">
                          <input
                            style="width: 85%; display: unset"
                            class="form-control"
                            type="text"
                            formControlName="main"
                            required
                          />
                        </div>
                      </div>
                      <div
                        class="row justify-content-center"
                        formArrayName="redirect"
                        style="margin-top: 5%"
                      >
                        <div class="col-4" style="margin-top: 2%">
                          Redirect Port
                        </div>
                        <div class="col">
                          <div
                            class="row-12"
                            *ngFor="
                              let u of getRedirectPort.controls;
                              let i = index
                            "
                            style="margin-top: 2%"
                          >
                            <input
                              class="form-control"
                              type="text"
                              [formControlName]="i"
                              required
                              style="width: 85%; display: unset"
                            />
                            <button
                              class="btn btn-danger btn-sm"
                              (click)="removeRedirectPort(i)"
                            >
                              <i class="fa fa-minus"></i>
                            </button>
                          </div>
                        </div>
                      </div>
                    </div>
                  </form>
                  <div
                    class="justify-content-center"
                    style="display: grid; margin-top: 2%"
                  >
                    <button
                      (click)="addRedirectPort()"
                      class="btn btn-primary btn-sm"
                    >
                      <i class="fa fa-plus"></i>
                    </button>
                  </div>
                </div>
              </td>
              <td class="text-center">
                <label class="switch switch-pill switch-success">
                  <input
                    type="checkbox"
                    class="switch-input"
                    [(ngModel)]="ssLActivate"
                    [ngModelOptions]="{ standalone: true }"
                  />
                  <span class="switch-slider"></span>
                </label>
                <div class="card" *ngIf="ssLActivate">
                  <form [formGroup]="websiteForm">
                    <select
                      class="form-control"
                      formControlName="ssl_id"
                      required
                    >
                      <option [ngValue]="ssl.id" *ngFor="let ssl of ssLs">
                        {{ ssl.ssl_name }}
                      </option>
                    </select>
                  </form>
                </div>
              </td>
              <td class="text-center">
                <button (click)="save()" class="btn btn-primary btn-sm">
                  <i class="fa fa-save"></i>
                  <span class="d-none d-md-inline">{{
                    "common.save" | translate
                  }}</span>
                </button>
              </td>
            </tr>
          </tbody>
        </table>
      </div>
    </div>
  </div>
  <button type="submit" (click)="previousState()" class="btn btn-info">
    <i class="fa fa-arrow-left"></i>&nbsp;<span> Back</span>
  </button>
</div>
